package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class DrpProductionPlanMaterialCountVO {
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("计划采购数量")
   private BigDecimal materialCount;
   @ApiModelProperty("类别ID")
   private Long categoryId;
   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public BigDecimal getMaterialCount() {
      return this.materialCount;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setMaterialCount(final BigDecimal materialCount) {
      this.materialCount = materialCount;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

}
